## python-rq 1.10.1

=== requirements.txt ===
redis>=3.5.0
click>=5.0.0

## python-rq 1.2.2

=== debian/changelog ===
python-rq (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Wed, 05 Feb 2020 23:09:16 +0100

python-rq (1.1.0-2) unstable; urgency=medium

  * Fix copyright file (as requested by FTP Masters).
  * Bump to Standards-Version 4.5.0 (no changes required).

 -- Marcos Fouces <marcos.fouces@gmail.com>  Mon, 03 Feb 2020 23:49:10 +0100

python-rq (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #944432).

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 08 Nov 2019 22:43:55 +0100

=== debian/control ===
Source: python-rq
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-redis, python3-click
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Homepage: https://python-rq.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-rq.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-rq

Package: python3-rq
Architecture: all
Depends: python3-redis, python3-click, ${python3:Depends}, ${misc:Depends}
Description: Simple job queues for Python 3
 RQ (Redis Queue) is a simple Python library for queueing jobs and
 processing them in the background with workers. It is backed by
 Redis and it is designed to have a low barrier to entry.
 It can be integrated in your web stack easily.

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/r/rq/ rq-(.+)\.tar\.gz debian uupdate

## python-rq 1.4.0

=== debian/changelog ===
python-rq (1.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Marcos Fouces ]
  * New upstream release.
  * Bump to debhelper-compat level 13.
  * Add upstream metadata.

  [ Scott Talbert ]
  * Add gbp.conf

 -- Scott Talbert <swt@techie.net>  Tue, 19 May 2020 14:40:41 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-redis, python3-click
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-redis, python3-click
 Standards-Version: 4.5.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## python-rq 1.7.0

=== debian/changelog ===
python-rq (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Rearrange licence texts and update year in d/copyright.
  * Bump to Standards-Version 4.5.1 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Sat, 06 Feb 2021 00:15:21 +0100

python-rq (1.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Marcos Fouces ]
  * New upstream release 1.5.2
  * Fix capitalization error in Lintian error comment.
  * Update uploader email to @debian.org

 -- Marcos Fouces <marcos@debian.org>  Tue, 29 Sep 2020 23:52:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: python-rq
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Marcos Fouces <marcos.fouces@gmail.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-redis, python3-click
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Homepage: https://python-rq.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-rq.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-rq
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-rq.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rq
 
 Package: python3-rq
 Architecture: all

## python-rq 1.10.1

=== debian/changelog ===
python-rq (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Update rq.1 manual page.

 -- Marcos Fouces <marcos@debian.org>  Thu, 23 Dec 2021 17:48:00 +0100

python-rq (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Bump to Standards-Version 4.6.0 (no changes required).
  * Update and improve manual pages.

 -- Marcos Fouces <marcos@debian.org>  Sat, 25 Sep 2021 19:49:45 +0200

python-rq (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Fix date typo in d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Fri, 20 Aug 2021 00:09:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-redis, python3-click
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Homepage: https://python-rq.org/

## python-rq 1.11.0

=== debian/changelog ===
python-rq (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Adjust Lintian overrides.
  * Update copyright date.
  * Bump to Standards-Version 4.6.1 (no changes required).
  * Adjust manual pages for current and future releases.

 -- Marcos Fouces <marcos@debian.org>  Sat, 06 Aug 2022 16:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-redis, python3-click
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Homepage: https://python-rq.org/

## python-rq 1.11.1

=== debian/changelog ===
python-rq (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1

 -- Marcos Fouces <marcos@debian.org>  Fri, 30 Sep 2022 00:13:56 +0200

## python-rq 1.12.0

=== debian/changelog ===
python-rq (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Bump to Standards-Version 4.6.2 (no changes required).
  * Update d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Sun, 22 Jan 2023 21:17:53 +0100

## python-rq 1.13.0

=== debian/changelog ===
python-rq (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0

 -- Marcos Fouces <marcos@debian.org>  Wed, 01 Mar 2023 22:35:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Marcos Fouces <marcos@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-redis, python3-click
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Homepage: https://python-rq.org/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-rq

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-rq 1.15

=== Makefile ===
all:
	@grep -Ee '^[a-z].*:' Makefile | cut -d: -f1 | grep -vF all

clean:
	rm -rf build/ dist/

test:
	docker build -f tests/Dockerfile . -t rqtest && docker run -it --rm rqtest

release: clean
	# Check if latest tag is the current head we're releasing
	echo "Latest tag = $$(git tag | sort -nr | head -n1)"
	echo "HEAD SHA       = $$(git sha head)"
	echo "Latest tag SHA = $$(git tag | sort -nr | head -n1 | xargs git sha)"
	@test "$$(git sha head)" = "$$(git tag | sort -nr | head -n1 | xargs git sha)"
	make force_release

force_release: clean
	git push --tags
	python setup.py sdist bdist_wheel
	twine upload dist/*

=== requirements.txt ===
redis>=4.0.0
click>=5.0.0

=== debian/changelog ===
python-rq (1.15-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.15
  * d/rules: Disable tests explicitly

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Jun 2023 08:52:08 +0200

python-rq (1.14.1-1) experimental; urgency=medium

  * Team upload
  * d/gbp.conf: Add some more defaults
  * New upstream version 1.14.1
  * d/control: Running wrap-and-sort -ast
  * d/{control,rules}: Use dh-sequence-* helper

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 27 May 2023 08:00:00 +0200

=== debian/control ===
Source: python-rq
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Marcos Fouces <marcos@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-click,
 python3-redis,
 python3-setuptools,
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Homepage: https://python-rq.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rq.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rq

Package: python3-rq
Architecture: all
Depends:
 python3-click,
 python3-redis,
 ${misc:Depends},
 ${python3:Depends},
Description: Simple job queues for Python 3
 RQ (Redis Queue) is a simple Python library for queueing jobs and
 processing them in the background with workers. It is backed by
 Redis and it is designed to have a low barrier to entry.
 It can be integrated in your web stack easily.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=python-rq
# The tests require a running redis instance which isn't allowed within a
# buildd.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

## python-rq 1.16.1

=== debian/changelog ===
python-rq (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Update copyright dates.

 -- Marcos Fouces <marcos@debian.org>  Fri, 15 Mar 2024 18:11:51 +0100

python-rq (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0
  * Use pyproject plugin for package build.
  * Add python3-hatchling on Build-Depends.
  * Update maintainer man pages rq.1 and rqworker.1.

 -- Marcos Fouces <marcos@debian.org>  Sun, 03 Mar 2024 23:31:02 +0100

python-rq (1.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Feb 2024 15:17:28 -0500

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=python-rq
+export PYBUILD_SYSTEM=pyproject
+
 # The tests require a running redis instance which isn't allowed within a
 # buildd.
 export PYBUILD_DISABLE=test

## python-rq 1.16.2

=== debian/changelog ===
python-rq (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2

 -- Marcos Fouces <marcos@debian.org>  Mon, 06 May 2024 18:03:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  python3-click,
  python3-redis,
  python3-setuptools,
+ python3-hatchling,
+ pybuild-plugin-pyproject
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## python-rq 2.3.2

=== debian/changelog ===
python-rq (2.3.2-1) unstable; urgency=medium

  * Team upload.
  * [a7ad58f] d/watch: Switch to git mode on GitHub
  * [5eacfa1] New upstream version 2.3.2
  * [30fa057] d/control: Sort B-D alphabetical
  * [73628f3] d/control: Bump Standards-Version to 4.7.2
  * [6017475] d/rules: Remove export off PYBUILD_SYSTEM variable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 May 2025 13:40:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-click,
+ python3-hatchling,
  python3-redis,
  python3-setuptools,
- python3-hatchling,
- pybuild-plugin-pyproject
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Homepage: https://python-rq.org/

## python-rq 2.3.3

=== debian/changelog ===
python-rq (2.3.3-2) unstable; urgency=medium

  * Team Upload
  * Upload to untable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 26 May 2025 16:15:45 +0200

python-rq (2.3.3-1) experimental; urgency=medium

  * Team upload.
  * [386cf01] New upstream version 2.3.3
  * [ce52960] d/control: Switch Homepage pointing to the GH site
  * [c359efc] d/control: Drop useless B-D on setuptools
  * [414d5ed] d/u/metadata: Add URL to documentation
  * [ea29079] d/tests/*: Add some autopkg CI testing environment
  * [bb9e1ed] d/salsa-ci.yml: Add Salsa CI config
  * [342f99b] d/copyright: Update data
  * [14f46ef] d/README.source: Add information about source handling
  * [775d4b4] d/python3-rq.examples: Add seqencer to install examples

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 May 2025 09:24:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,10 @@
  python3-click,
  python3-hatchling,
  python3-redis,
- python3-setuptools,
 Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Homepage: https://python-rq.org/
+Homepage: https://github.com/rq/rq
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rq.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rq

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/rq/rq.git \
      refs/tags/@ANY_VERSION@

## python-rq 2.5

=== debian/changelog ===
python-rq (2.5-1) unstable; urgency=medium

  * Team Upload
  * [5752252] d/watch: Convert to version 5
  * [03c0651] New upstream version 2.5
  * [9743f57] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [ef4828f] d/u/metadata: Adding info about Security-Contact

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 31 Aug 2025 08:18:26 +0200

## python-rq 2.6

=== Makefile ===
--- 
+++ 
@@ -19,3 +19,6 @@
 	git push --tags
 	python setup.py sdist bdist_wheel
 	twine upload dist/*
+
+lint:
+	@ ruff check --show-source rq tests

=== debian/changelog ===
python-rq (2.6-1) unstable; urgency=medium

  * [74cf1ee] New upstream version 2.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 15 Sep 2025 16:43:31 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
  python3-hatchling,
  python3-redis,
 Standards-Version: 4.7.2
-Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Homepage: https://github.com/rq/rq
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rq.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rq
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-rq
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=python-rq
-export PYBUILD_SYSTEM=pyproject
 
 # The tests require a running redis instance which isn't allowed within a
 # buildd.

=== debian/tests/control ===
Tests:
 smoke,
Depends:
 python3-all,
 python3-psutil,
 python3-pytest,
 python3-pytest-cov,
 redis-server,
 @,
Restrictions:
 allow-stderr,
 isolation-container,

=== debian/watch ===
Version: 5

Source: https://github.com/rq/rq.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Pgpmode: none
Uversionmangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/

## python-rq 2.6.1

=== Makefile ===
--- 
+++ 
@@ -21,4 +21,4 @@
 	twine upload dist/*
 
 lint:
-	@ ruff check --show-source rq tests
+	@ ruff check --output-format=full rq tests

=== debian/changelog ===
python-rq (2.6.1-1) unstable; urgency=medium

  * Team Upload
  * [d7fe724] New upstream version 2.6.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 30 Nov 2025 09:37:24 +0200
